{
  "manifest_version": 3,
  "name": "__MSG_main_title__",
  "version": "2.0.3",
  "description": "__MSG_main_description__",
  "default_locale": "en",
  "icons": {
    "16": "src/assets/img/logo128.png",
    "32": "src/assets/img/logo128.png",
    "48": "src/assets/img/logo128.png",
    "128": "src/assets/img/logo128.png"
  },
  "action": {
    "default_popup": "src/popup/index.html",
    "default_icon": {
      "16": "src/assets/img/logo128.png",
      "24": "src/assets/img/logo128.png",
      "32": "src/assets/img/logo128.png"
    }
  },
  "side_panel": {
    "default_path": "src/sidepanel/index.html"
  },
  "host_permissions": [
    "*://*.tiktok.com/*",
    "*://*.kolsprite.com/*",
    "*://plugin-data.kolsprite.com/*",
    "*://*.bing.com/ttranslatev3/*",
    "*://*.tiktokcdn.com/*",
    "*://*.tiktokcdn-eu.com/*",
    "*://*.tiktokcdn-us.com/*",
    "*://*.tiktokv.com/*",
    "*://*.doubao.com/*",
    "*://chatgpt.com/*",
    "*://grok.com/*",
    "*://claude.ai/*",
    "*://gemini.google.com/*",
    "*://chat.deepseek.com/*",
    "*://chat.deepseek.com/*",
    "*://tiksave.io/*"
  ],
  "content_scripts": [
    {
      "js": [
        "assets/inject.ts.js"
      ],
      "matches": [
        "*://tiktok.com/*",
        "*://www.tiktok.com/*",
        "https://www.tiktok.com/*"
      ],
      "all_frames": true,
      "run_at": "document_start",
      "world": "MAIN"
    },
    {
      "js": [
        "assets/content.ts-loader.js"
      ],
      "matches": [
        "*://tiktok.com/*",
        "*://www.tiktok.com/*",
        "*://www.doubao.com/*",
        "*://chatgpt.com/*",
        "*://grok.com/*",
        "*://claude.ai/*",
        "*://gemini.google.com/*",
        "*://chat.deepseek.com/*"
      ],
      "all_frames": true,
      "run_at": "document_start",
      "match_about_blank": true,
      "css": [
        "assets/login.css",
        "assets/content.css"
      ]
    }
  ],
  "background": {
    "service_worker": "service-worker-loader.js",
    "type": "module"
  },
  "permissions": [
    "tabs",
    "storage",
    "sidePanel",
    "declarativeNetRequest"
  ],
  "declarative_net_request": {
    "rule_resources": [
      {
        "id": "rule-tiksave",
        "enabled": true,
        "path": "src/utils/rule-tiksave.json"
      }
    ]
  },
  "web_accessible_resources": [
    {
      "matches": [
        "<all_urls>"
      ],
      "resources": [
        "src/assets/icon/*",
        "src/assets/img/icon/*"
      ],
      "use_dynamic_url": false
    },
    {
      "matches": [
        "*://tiktok.com/*",
        "*://www.tiktok.com/*",
        "https://www.tiktok.com/*"
      ],
      "resources": [
        "assets/inject.ts.js"
      ],
      "use_dynamic_url": false
    },
    {
      "matches": [
        "*://chat.deepseek.com/*",
        "*://chatgpt.com/*",
        "*://claude.ai/*",
        "*://gemini.google.com/*",
        "*://grok.com/*",
        "*://tiktok.com/*",
        "*://www.doubao.com/*",
        "*://www.tiktok.com/*"
      ],
      "resources": [
        "assets/logo-white2.png",
        "assets/collaborate.png",
        "assets/logo-title-blue.png",
        "assets/logo128.png",
        "assets/logo-text-white.png",
        "assets/nopermission.svg",
        "assets/script.svg",
        "assets/login.js",
        "assets/index.js",
        "assets/content.ts.js"
      ],
      "use_dynamic_url": false
    }
  ]
}
